Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.common.commands
Class CommandParameter

    java.lang.Object
      things.common.commands.CommandParameter

    public class CommandParameter

extends java.lang.Object

A parameter definition for command parameters.

Version:
  1.0

  Version History

      EPG - Initial - 10 AUG 06

Author:
  Erich P. Gatejen

Field Summary
`java.lang.String` | `message` Message associated with the parameter.
`java.lang.String` | `name` Name of the parameter.
`boolean` | `required` Is the parameter required?
`CommandLine.PARAMETER_TYPES` | `type` Type of parameter.

Constructor Summary
`CommandParameter(CommandLine.PARAMETER_TYPES theType, java.lang.String theName, java.lang.String theMessage, boolean isRequired)` The only constructor.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    public CommandLine.PARAMETER_TYPES type

  Type of parameter.

### name

    public java.lang.String name

  Name of the parameter.

### message

    public java.lang.String message

  Message associated with the parameter. It is used for usage reporting/

### required

    public boolean required

  Is the parameter required?

Constructor Detail

### CommandParameter

    public CommandParameter(CommandLine.PARAMETER_TYPES theType,
                            java.lang.String theName,
                            java.lang.String theMessage,
                            boolean isRequired)

  The only constructor.

  Parameters:
    `theType` -
    `theName` -
    `theMessage` -
    `isRequired` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.